Subject: Re: bug#42147: 28.0.50; pure vs side-effect-free, missing optimizations?

From: Andrea Corallo <[email-masked]>
Date: Sun, 05 Jul 2020 10:03:20 +0000

Paul Eggert <[email-masked]> writes:

> PS. I finally got around to benchmarking, and on my usual benchmark (make
> compile-always, Fedora 31 x86), using SSE2 sped up Emacs by 4.6%. So there is a
> performance argument for the change as well as a fix-the-rounding-glitches argument.

Hi Paul,

Wow I'm really surprised by this result!  Are we doing so much floating
point while compiling Emacs?  I expected it to be very marginal,
possibly something else is boiling here we are not considering?

Regards

  Andrea

-- 
[email-masked]